/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./checkbox/checkbox.component";
import * as i2 from "./checkbox/checkbox.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the CheckBox directive and CheckBoxComponent.
 *
 * Use this module to add CheckBox features to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { CheckBoxModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, CheckBoxModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class CheckBoxModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckBoxModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CheckBoxModule, never, [typeof i1.CheckBoxComponent, typeof i2.CheckBoxDirective], [typeof i1.CheckBoxComponent, typeof i2.CheckBoxDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CheckBoxModule>;
}
