/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines the options for the `checkedState` input of the CheckBox component.
 *
 * Use this type to set the checked state to `true`, `false`, or `'indeterminate'`.
 *
 * @example
 * ```html
 * <kendo-checkbox [checkedState]="true"></kendo-checkbox>
 * <kendo-checkbox [checkedState]="false"></kendo-checkbox>
 * <kendo-checkbox checkedState="indeterminate"></kendo-checkbox>
 * ```
 */
export type CheckBoxState = boolean | 'indeterminate';
