/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./colorpicker/colorpicker.component";
import * as i2 from "./colorpicker/localization/custom-messages.component";
import * as i3 from "./colorpicker/flatcolorpicker.component";
import * as i4 from "./colorpicker/color-gradient.component";
import * as i5 from "./colorpicker/color-palette.component";
/**
 * Defines the [NgModule](link:site.data.urls.angular['ngmoduleapi']) for the ColorPicker.
 *
 * Use this module to add ColorPicker features to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { ColorPickerModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, ColorPickerModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class ColorPickerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorPickerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ColorPickerModule, never, [typeof i1.ColorPickerComponent, typeof i2.ColorPickerCustomMessagesComponent, typeof i3.FlatColorPickerComponent, typeof i2.ColorPickerCustomMessagesComponent, typeof i4.ColorGradientComponent, typeof i2.ColorPickerCustomMessagesComponent, typeof i5.ColorPaletteComponent, typeof i2.ColorPickerCustomMessagesComponent], [typeof i1.ColorPickerComponent, typeof i2.ColorPickerCustomMessagesComponent, typeof i3.FlatColorPickerComponent, typeof i2.ColorPickerCustomMessagesComponent, typeof i4.ColorGradientComponent, typeof i2.ColorPickerCustomMessagesComponent, typeof i5.ColorPaletteComponent, typeof i2.ColorPickerCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ColorPickerModule>;
}
