/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ColorPickerMessages extends ComponentMessages {
    /**
     * Sets the `aria-label` for the ColorPalette component when the value is empty.
     */
    colorPaletteNoColor: string;
    /**
     * Sets the `aria-label` for the ColorGradient component when the value is empty.
     */
    colorGradientNoColor: string;
    /**
     * Sets the `aria-label` for the FlatColorPicker component when the value is empty.
     */
    flatColorPickerNoColor: string;
    /**
     * Sets the `aria-label` for the ColorPicker component when the value is empty.
     */
    colorPickerNoColor: string;
    /**
     * Sets the title for the gradient color drag handle chooser.
     */
    colorGradientHandle: string;
    /**
     * Sets the title for the clear button.
     */
    clearButton: string;
    /**
     * Sets the title for the hue slider handle.
     */
    hueSliderHandle: string;
    /**
     * Sets the title for the opacity slider handle.
     */
    opacitySliderHandle: string;
    /**
     * Sets the placeholder for the HEX color input.
     */
    hexInputPlaceholder: string;
    /**
     * Sets the placeholder for the red color input.
     */
    redInputPlaceholder: string;
    /**
     * Sets the placeholder for the green color input.
     */
    greenInputPlaceholder: string;
    /**
     * Sets the placeholder for the blue color input.
     */
    blueInputPlaceholder: string;
    /**
     * Sets the placeholder for the alpha input.
     */
    alphaInputPlaceholder: string;
    /**
     * Sets the `aria-label` for the red color input.
     */
    redChannelLabel: string;
    /**
     * Sets the `aria-label` for the green color input.
     */
    greenChannelLabel: string;
    /**
     * Sets the `aria-label` for the blue color input.
     */
    blueChannelLabel: string;
    /**
     * Sets the `aria-label` for the alpha color input.
     */
    alphaChannelLabel: string;
    /**
     * Sets the "Pass" message for the contrast tool.
     */
    passContrast: string;
    /**
     * Sets the "Fail" message for the contrast tool.
     */
    failContrast: string;
    /**
     * Sets the "Contrast ratio" message for the contrast tool.
     */
    contrastRatio: string;
    /**
     * Sets the message for the color preview pane.
     */
    previewColor: string;
    /**
     * Sets the message for the selected color pane.
     */
    revertSelection: string;
    /**
     * Sets the message for the gradient view button.
     */
    gradientView: string;
    /**
     * Sets the message for the palette view button.
     */
    paletteView: string;
    /**
     * Sets the message for the input format toggle button.
     */
    formatButton: string;
    /**
     * Sets the message for the **Apply** action button.
     */
    applyButton: string;
    /**
     * Sets the message for the **Cancel** action button.
     */
    cancelButton: string;
    /**
     * Sets the title of the **Close** button for the ActionSheet in adaptive mode.
     */
    adaptiveCloseButtonTitle: string;
    /**
     * Sets the title for the ActionSheet in adaptive mode.
     */
    adaptiveTitle: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorPickerMessages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ColorPickerMessages, "kendo-colorpicker-messages-base", never, { "colorPaletteNoColor": { "alias": "colorPaletteNoColor"; "required": false; }; "colorGradientNoColor": { "alias": "colorGradientNoColor"; "required": false; }; "flatColorPickerNoColor": { "alias": "flatColorPickerNoColor"; "required": false; }; "colorPickerNoColor": { "alias": "colorPickerNoColor"; "required": false; }; "colorGradientHandle": { "alias": "colorGradientHandle"; "required": false; }; "clearButton": { "alias": "clearButton"; "required": false; }; "hueSliderHandle": { "alias": "hueSliderHandle"; "required": false; }; "opacitySliderHandle": { "alias": "opacitySliderHandle"; "required": false; }; "hexInputPlaceholder": { "alias": "hexInputPlaceholder"; "required": false; }; "redInputPlaceholder": { "alias": "redInputPlaceholder"; "required": false; }; "greenInputPlaceholder": { "alias": "greenInputPlaceholder"; "required": false; }; "blueInputPlaceholder": { "alias": "blueInputPlaceholder"; "required": false; }; "alphaInputPlaceholder": { "alias": "alphaInputPlaceholder"; "required": false; }; "redChannelLabel": { "alias": "redChannelLabel"; "required": false; }; "greenChannelLabel": { "alias": "greenChannelLabel"; "required": false; }; "blueChannelLabel": { "alias": "blueChannelLabel"; "required": false; }; "alphaChannelLabel": { "alias": "alphaChannelLabel"; "required": false; }; "passContrast": { "alias": "passContrast"; "required": false; }; "failContrast": { "alias": "failContrast"; "required": false; }; "contrastRatio": { "alias": "contrastRatio"; "required": false; }; "previewColor": { "alias": "previewColor"; "required": false; }; "revertSelection": { "alias": "revertSelection"; "required": false; }; "gradientView": { "alias": "gradientView"; "required": false; }; "paletteView": { "alias": "paletteView"; "required": false; }; "formatButton": { "alias": "formatButton"; "required": false; }; "applyButton": { "alias": "applyButton"; "required": false; }; "cancelButton": { "alias": "cancelButton"; "required": false; }; "adaptiveCloseButtonTitle": { "alias": "adaptiveCloseButtonTitle"; "required": false; }; "adaptiveTitle": { "alias": "adaptiveTitle"; "required": false; }; }, {}, never, never, false, never>;
}
