/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the possible `rounded` options for the inputs.
 *
 * Use this type to set the `rounded` property.
 *
 * @default `medium`
 */
export type InputRounded = 'small' | 'medium' | 'large' | 'full' | 'none';
/**
 * Specifies the possible `rounded` options for the CheckBox.
 *
 * Use this type to set the `rounded` property of the CheckBox.
 *
 * @default `medium`
 */
export type CheckBoxRounded = 'small' | 'medium' | 'large' | 'none';
