/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { KENDO_MASKEDTEXTBOX } from './directives';
import { KENDO_ADORNMENTS } from '@progress/kendo-angular-common';
import * as i0 from "@angular/core";
import * as i1 from "./maskedtextbox/maskedtextbox.component";
import * as i2 from "@progress/kendo-angular-common";
//IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Defines the [NgModule](link:site.data.urls.angular['ngmoduleapi']) for the MaskedTextBox component.
 *
 * Use this module to add the MaskedTextBox component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { MaskedTextBoxModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, MaskedTextBoxModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export class MaskedTextBoxModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MaskedTextBoxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: MaskedTextBoxModule, imports: [i1.MaskedTextBoxComponent, i2.PrefixTemplateDirective, i2.SuffixTemplateDirective, i2.SeparatorComponent, i2.PrefixTemplateDirective, i2.SuffixTemplateDirective, i2.SeparatorComponent], exports: [i1.MaskedTextBoxComponent, i2.PrefixTemplateDirective, i2.SuffixTemplateDirective, i2.SeparatorComponent, i2.PrefixTemplateDirective, i2.SuffixTemplateDirective, i2.SeparatorComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MaskedTextBoxModule, imports: [i2.SeparatorComponent, i2.SeparatorComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MaskedTextBoxModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_MASKEDTEXTBOX, ...KENDO_ADORNMENTS],
                    exports: [...KENDO_MASKEDTEXTBOX, ...KENDO_ADORNMENTS]
                }]
        }] });
