/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./formfield/formfield.component";
import * as i2 from "./formfield/hint.component";
import * as i3 from "./formfield/error.component";
/**
 * Defines the [NgModule](link:site.data.urls.angular['ngmoduleapi']) for the FormField, Error, and Hint components.
 *
 * Use this module to add FormField, Error, and Hint features to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { FormFieldModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, FormFieldModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class FormFieldModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<FormFieldModule, never, [typeof i1.FormFieldComponent, typeof i2.HintComponent, typeof i3.ErrorComponent], [typeof i1.FormFieldComponent, typeof i2.HintComponent, typeof i3.ErrorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<FormFieldModule>;
}
