/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MessageAlign } from './models/message-align';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI FormError component.
 * Displays an error message under a Kendo Angular component or native HTML form-bound component after validation.
 *
 * @example
 * ```html
 * <kendo-formerror>Error message here</kendo-formerror>
 * ```
 */
export declare class ErrorComponent {
    hostClass: boolean;
    /**
     * Sets the alignment of the error message.
     *
     * @default 'start'
     */
    align: MessageAlign;
    /**
     * @hidden
     */
    readonly id: string;
    roleAttribute: string;
    get startClass(): boolean;
    get endClass(): boolean;
    get idAttribute(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ErrorComponent, "kendo-formerror", never, { "align": { "alias": "align"; "required": false; }; }, {}, never, ["*"], true, never>;
}
