/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MessageAlign } from './models/message-align';
import * as i0 from "@angular/core";
/**
 * Displays a hint message under a form-bound component.
 *
 * @example
 * ```html
 * <kendo-formhint>Hint message here</kendo-formhint>
 * ```
 */
export declare class HintComponent {
    /**
     * Sets the alignment of the hint message.
     *
     * @default 'start'
     */
    align: MessageAlign;
    /**
     * @hidden
     */
    readonly id: string;
    hostClass: boolean;
    get startClass(): boolean;
    get endClass(): boolean;
    get idAttribute(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<HintComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HintComponent, "kendo-formhint", never, { "align": { "alias": "align"; "required": false; }; }, {}, never, ["*"], true, never>;
}
