/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies whether the Hint or Error messages display.
 *
 * Use this type to set the `showHints` or `showErrors` property.
 *
 * * `initial` (default)&mdash;Displays messages based on the form-bound component state.
 *   See [Hint `initial` configuration]({% slug api_inputs_formfieldcomponent %}#toc-showHints) and [Error `initial` configuration]({% slug api_inputs_formfieldcomponent %}#toc-showErrors).
 * * `always`&mdash;Always displays the messages.
 */
export type ShowOptions = 'initial' | 'always';
