/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./textbox/textbox.directive";
import * as i2 from "./textbox/textbox.component";
import * as i3 from "./shared/input-separator.component";
import * as i4 from "./textbox/textbox-suffix.directive";
import * as i5 from "./textbox/textbox-prefix.directive";
import * as i6 from "./textbox/localization/custom-messages.component";
import * as i7 from "@progress/kendo-angular-common";
import * as i8 from "./numerictextbox/numerictextbox.component";
import * as i9 from "./numerictextbox/localization/custom-messages.component";
import * as i10 from "./maskedtextbox/maskedtextbox.component";
import * as i11 from "./textarea/textarea.component";
import * as i12 from "./shared/textarea.directive";
import * as i13 from "./textarea/textarea-prefix.component";
import * as i14 from "./textarea/textarea-suffix.component";
import * as i15 from "./checkbox/checkbox.component";
import * as i16 from "./checkbox/checkbox.directive";
import * as i17 from "./radiobutton/radiobutton.component";
import * as i18 from "./radiobutton/radiobutton.directive";
import * as i19 from "./switch/switch.component";
import * as i20 from "./switch/localization/custom-messages.component";
import * as i21 from "./formfield/formfield.component";
import * as i22 from "./formfield/hint.component";
import * as i23 from "./formfield/error.component";
import * as i24 from "./slider/slider.component";
import * as i25 from "./slider/localization/custom-messages.component";
import * as i26 from "./sliders-common/label-template.directive";
import * as i27 from "./rangeslider/rangeslider.component";
import * as i28 from "./rangeslider/localization/custom-messages.component";
import * as i29 from "./rating/rating.component";
import * as i30 from "./rating/directives/rating-item.directive";
import * as i31 from "./rating/directives/rating-hovered-item.directive";
import * as i32 from "./rating/directives/rating-selected-item.directive";
import * as i33 from "./signature/signature.component";
import * as i34 from "./signature/localization/custom-messages.component";
import * as i35 from "./colorpicker/colorpicker.component";
import * as i36 from "./colorpicker/localization/custom-messages.component";
import * as i37 from "./colorpicker/flatcolorpicker.component";
import * as i38 from "./colorpicker/color-gradient.component";
import * as i39 from "./colorpicker/color-palette.component";
import * as i40 from "./otpinput/otpinput.component";
import * as i41 from "./otpinput/localization/custom-messages.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Inputs components.
 *
 * Use this module to import all Kendo UI for Angular Inputs components at once in your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { InputsModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, InputsModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class InputsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<InputsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<InputsModule, never, [typeof i1.TextBoxDirective, typeof i2.TextBoxComponent, typeof i3.InputSeparatorComponent, typeof i4.TextBoxSuffixTemplateDirective, typeof i5.TextBoxPrefixTemplateDirective, typeof i6.TextBoxCustomMessagesComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent, typeof i8.NumericTextBoxComponent, typeof i9.NumericTextBoxCustomMessagesComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent, typeof i10.MaskedTextBoxComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent, typeof i11.TextAreaComponent, typeof i12.TextAreaDirective, typeof i13.TextAreaPrefixComponent, typeof i14.TextAreaSuffixComponent, typeof i7.SeparatorComponent, typeof i15.CheckBoxComponent, typeof i16.CheckBoxDirective, typeof i17.RadioButtonComponent, typeof i18.RadioButtonDirective, typeof i19.SwitchComponent, typeof i20.SwitchCustomMessagesComponent, typeof i21.FormFieldComponent, typeof i22.HintComponent, typeof i23.ErrorComponent, typeof i24.SliderComponent, typeof i25.SliderCustomMessagesComponent, typeof i26.LabelTemplateDirective, typeof i27.RangeSliderComponent, typeof i28.RangeSliderCustomMessagesComponent, typeof i26.LabelTemplateDirective, typeof i29.RatingComponent, typeof i30.RatingItemTemplateDirective, typeof i31.RatingHoveredItemTemplateDirective, typeof i32.RatingSelectedItemTemplateDirective, typeof i33.SignatureComponent, typeof i34.SignatureCustomMessagesComponent, typeof i35.ColorPickerComponent, typeof i36.ColorPickerCustomMessagesComponent, typeof i37.FlatColorPickerComponent, typeof i36.ColorPickerCustomMessagesComponent, typeof i38.ColorGradientComponent, typeof i36.ColorPickerCustomMessagesComponent, typeof i39.ColorPaletteComponent, typeof i36.ColorPickerCustomMessagesComponent, typeof i40.OTPInputComponent, typeof i41.OTPInputCustomMessagesComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent], [typeof i1.TextBoxDirective, typeof i2.TextBoxComponent, typeof i3.InputSeparatorComponent, typeof i4.TextBoxSuffixTemplateDirective, typeof i5.TextBoxPrefixTemplateDirective, typeof i6.TextBoxCustomMessagesComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent, typeof i8.NumericTextBoxComponent, typeof i9.NumericTextBoxCustomMessagesComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent, typeof i10.MaskedTextBoxComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent, typeof i11.TextAreaComponent, typeof i12.TextAreaDirective, typeof i13.TextAreaPrefixComponent, typeof i14.TextAreaSuffixComponent, typeof i7.SeparatorComponent, typeof i15.CheckBoxComponent, typeof i16.CheckBoxDirective, typeof i17.RadioButtonComponent, typeof i18.RadioButtonDirective, typeof i19.SwitchComponent, typeof i20.SwitchCustomMessagesComponent, typeof i21.FormFieldComponent, typeof i22.HintComponent, typeof i23.ErrorComponent, typeof i24.SliderComponent, typeof i25.SliderCustomMessagesComponent, typeof i26.LabelTemplateDirective, typeof i27.RangeSliderComponent, typeof i28.RangeSliderCustomMessagesComponent, typeof i26.LabelTemplateDirective, typeof i29.RatingComponent, typeof i30.RatingItemTemplateDirective, typeof i31.RatingHoveredItemTemplateDirective, typeof i32.RatingSelectedItemTemplateDirective, typeof i33.SignatureComponent, typeof i34.SignatureCustomMessagesComponent, typeof i35.ColorPickerComponent, typeof i36.ColorPickerCustomMessagesComponent, typeof i37.FlatColorPickerComponent, typeof i36.ColorPickerCustomMessagesComponent, typeof i38.ColorGradientComponent, typeof i36.ColorPickerCustomMessagesComponent, typeof i39.ColorPaletteComponent, typeof i36.ColorPickerCustomMessagesComponent, typeof i40.OTPInputComponent, typeof i41.OTPInputCustomMessagesComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<InputsModule>;
}
