/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./maskedtextbox/maskedtextbox.component";
import * as i2 from "@progress/kendo-angular-common";
/**
 * Defines the [NgModule](link:site.data.urls.angular['ngmoduleapi']) for the MaskedTextBox component.
 *
 * Use this module to add the MaskedTextBox component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { MaskedTextBoxModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, MaskedTextBoxModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class MaskedTextBoxModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<MaskedTextBoxModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MaskedTextBoxModule, never, [typeof i1.MaskedTextBoxComponent, typeof i2.PrefixTemplateDirective, typeof i2.SuffixTemplateDirective, typeof i2.SeparatorComponent, typeof i2.PrefixTemplateDirective, typeof i2.SuffixTemplateDirective, typeof i2.SeparatorComponent], [typeof i1.MaskedTextBoxComponent, typeof i2.PrefixTemplateDirective, typeof i2.SuffixTemplateDirective, typeof i2.SeparatorComponent, typeof i2.PrefixTemplateDirective, typeof i2.SuffixTemplateDirective, typeof i2.SeparatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MaskedTextBoxModule>;
}
