/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./numerictextbox/numerictextbox.component";
import * as i2 from "./numerictextbox/localization/custom-messages.component";
import * as i3 from "@progress/kendo-angular-common";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the NumericTextBox component.
 *
 * Use this module to add the NumericTextBox component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { NumericTextBoxModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, NumericTextBoxModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class NumericTextBoxModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<NumericTextBoxModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NumericTextBoxModule, never, [typeof i1.NumericTextBoxComponent, typeof i2.NumericTextBoxCustomMessagesComponent, typeof i3.PrefixTemplateDirective, typeof i3.SuffixTemplateDirective, typeof i3.SeparatorComponent, typeof i3.PrefixTemplateDirective, typeof i3.SuffixTemplateDirective, typeof i3.SeparatorComponent], [typeof i1.NumericTextBoxComponent, typeof i2.NumericTextBoxCustomMessagesComponent, typeof i3.PrefixTemplateDirective, typeof i3.SuffixTemplateDirective, typeof i3.SeparatorComponent, typeof i3.PrefixTemplateDirective, typeof i3.SuffixTemplateDirective, typeof i3.SeparatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NumericTextBoxModule>;
}
