/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { NumericTextBoxMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Overrides the default messages of the NumericTextBox component.
 *
 * Use this component to provide custom messages for the NumericTextBox.
 *
 * @example
 * ```html
 * <kendo-numerictextbox>
 *   <kendo-numerictextbox-messages
 *     [increment]="'Custom Increment Message'"
 *     [decrement]="'Custom Decrement Message'">
 *   </kendo-numerictextbox-messages>
 * <kendo-numerictextbox>
 * ```
 */
export declare class NumericTextBoxCustomMessagesComponent extends NumericTextBoxMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumericTextBoxCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumericTextBoxCustomMessagesComponent, "kendo-numerictextbox-messages", never, {}, {}, never, never, true, never>;
}
