/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./otpinput/otpinput.component";
import * as i2 from "./otpinput/localization/custom-messages.component";
/**
 * Defines the [NgModule](link:site.data.urls.angular['ngmoduleapi']) for the OTP Input component.
 *
 * Use this module to add the OTP Input component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { OTPInputModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, OTPInputModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class OTPInputModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<OTPInputModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<OTPInputModule, never, [typeof i1.OTPInputComponent, typeof i2.OTPInputCustomMessagesComponent], [typeof i1.OTPInputComponent, typeof i2.OTPInputCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<OTPInputModule>;
}
