/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SVGIcon } from '@progress/kendo-angular-icons';
/**
 * Represents the icon separator for the OTP Input.
 *
 * Use this interface to define a separator as an icon.
 */
export interface OTPSeparatorIcon {
    /**
     * Sets the type of the separator icon.
     *
     */
    type: 'svgIcon' | 'fontIcon' | 'iconClass';
    /**
     * Sets the icon to display as a separator.
     *
     * Use a string or an `SVGIcon`.
     */
    value: string | SVGIcon;
}
