/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./radiobutton/radiobutton.component";
import * as i2 from "./radiobutton/radiobutton.directive";
/**
 * Defines the [NgModule](link:site.data.urls.angular['ngmoduleapi']) for the RadioButton directive and RadioButton component.
 *
 * Use this module to add the RadioButton directive and component to your NgModule-based Angular application.
 *
 * @example
 *
 * ```typescript
 * import { RadioButtonModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, RadioButtonModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class RadioButtonModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioButtonModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<RadioButtonModule, never, [typeof i1.RadioButtonComponent, typeof i2.RadioButtonDirective], [typeof i1.RadioButtonComponent, typeof i2.RadioButtonDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<RadioButtonModule>;
}
