/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./rangeslider/rangeslider.component";
import * as i2 from "./rangeslider/localization/custom-messages.component";
import * as i3 from "./sliders-common/label-template.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the RangeSlider component.
 *
 * Use this module to add the RangeSlider component to your NgModule-based Angular application.
 *
 * @example
 *
 * ```typescript
 * import { RangeSliderModule } from '@progress/kendo-angular-inputs';
 * import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, BrowserAnimationsModule, RangeSliderModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class RangeSliderModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<RangeSliderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<RangeSliderModule, never, [typeof i1.RangeSliderComponent, typeof i2.RangeSliderCustomMessagesComponent, typeof i3.LabelTemplateDirective], [typeof i1.RangeSliderComponent, typeof i2.RangeSliderCustomMessagesComponent, typeof i3.LabelTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<RangeSliderModule>;
}
