/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./rating/rating.component";
import * as i2 from "./rating/directives/rating-item.directive";
import * as i3 from "./rating/directives/rating-hovered-item.directive";
import * as i4 from "./rating/directives/rating-selected-item.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Rating component.
 *
 * Use this module to add the Rating component to your NgModule-based Angular application.
 *
 * @example
 *
 * ```typescript
 * import { RatingModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, RatingModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class RatingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<RatingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<RatingModule, never, [typeof i1.RatingComponent, typeof i2.RatingItemTemplateDirective, typeof i3.RatingHoveredItemTemplateDirective, typeof i4.RatingSelectedItemTemplateDirective], [typeof i1.RatingComponent, typeof i2.RatingItemTemplateDirective, typeof i3.RatingHoveredItemTemplateDirective, typeof i4.RatingSelectedItemTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<RatingModule>;
}
