/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./signature/signature.component";
import * as i2 from "./signature/localization/custom-messages.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Signature component.
 *
 * Use this module to add the Signature component to your NgModule-based Angular application.
 *
 * @example
 *
 * ```typescript
 * import { SignatureModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, SignatureModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class SignatureModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SignatureModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SignatureModule, never, [typeof i1.SignatureComponent, typeof i2.SignatureCustomMessagesComponent], [typeof i1.SignatureComponent, typeof i2.SignatureCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SignatureModule>;
}
