/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./slider/slider.component";
import * as i2 from "./slider/localization/custom-messages.component";
import * as i3 from "./sliders-common/label-template.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Slider component.
 *
 * Use this module to add the Slider component to your NgModule-based Angular application.
 *
 * @example
 *
 * ```typescript
 * import { SliderModule } from '@progress/kendo-angular-inputs';
 * import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, BrowserAnimationsModule, SliderModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class SliderModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SliderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SliderModule, never, [typeof i1.SliderComponent, typeof i2.SliderCustomMessagesComponent, typeof i3.LabelTemplateDirective], [typeof i1.SliderComponent, typeof i2.SliderCustomMessagesComponent, typeof i3.LabelTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SliderModule>;
}
