/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./switch/switch.component";
import * as i2 from "./switch/localization/custom-messages.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Switch component.
 *
 * Use this module to add the Switch component to your NgModule-based Angular application.
 *
 * @example
 *
 * ```typescript
 * import { SwitchModule } from '@progress/kendo-angular-inputs';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, SwitchModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class SwitchModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitchModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SwitchModule, never, [typeof i1.SwitchComponent, typeof i2.SwitchCustomMessagesComponent], [typeof i1.SwitchComponent, typeof i2.SwitchCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SwitchModule>;
}
