/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Sets the resize behavior for the TextArea.
 *
 * The possible values are:
 * * `vertical` (Default)&mdash;You can resize the TextArea vertically.
 * * `auto`&mdash;The TextArea adjusts its height automatically based on the content.
 * * `horizontal`&mdash;You can resize the TextArea horizontally.
 * * `both`&mdash;You can resize the TextArea both horizontally and vertically.
 * * `none`&mdash;You cannot resize the TextArea.
 */
export type TextAreaResize = 'auto' | 'vertical' | 'horizontal' | 'both' | 'none';
