/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Represents the prefix adornments container for the TextArea component.
 *
 * Nest the `<kendo-textarea-prefix>` component inside `<kendo-textarea>` to add elements before the input.
 *
 * @example
 * ```html
 * <kendo-textarea>
 *   <kendo-textarea-prefix>
 *     <button kendoButton look="clear" icon="image"></button>
 *   </kendo-textarea-prefix>
 * </kendo-textarea>
 * ```
 */
export declare class TextAreaPrefixComponent {
    /**
     * @hidden
     */
    flow: string;
    /**
     * @hidden
     */
    orientation: string;
    hostClass: boolean;
    get verticalOrientation(): boolean;
    get horizontalOrientation(): boolean;
    get alignItems(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextAreaPrefixComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextAreaPrefixComponent, "kendo-textarea-prefix", ["kendoTextAreaPrefix"], { "flow": { "alias": "flow"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; }, {}, never, ["*"], true, never>;
}
