/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents a template for suffix adornments in the TextBox component ([see examples](slug:adornments_textbox#toc-suffix-adornments)).
 *
 * @example
 * ```html
 * <kendo-textbox>
 *   <ng-template kendoTextBoxSuffixTemplate>
 *     <button kendoButton icon="image"></button>
 *   </ng-template>
 * </kendo-textbox>
 * ```
 */
export declare class TextBoxSuffixTemplateDirective {
    templateRef: TemplateRef<any>;
    /**
     * Determines whether a separator is shown before the suffix template.
     *
     * @default false
     */
    set showSeparator(value: boolean);
    get showSeparator(): boolean;
    private _showSeparator;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<TextBoxSuffixTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextBoxSuffixTemplateDirective, "[kendoTextBoxSuffixTemplate]", never, { "showSeparator": { "alias": "showSeparator"; "required": false; }; }, {}, never, never, true, never>;
}
